﻿Lua_BeStrongWindow = class("Lua_BeStrongWindow", Lua_Window);
function Lua_BeStrongWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_BeStrongWindow";
	self.skinName = "BeStrong_skin";
	self.blackAlpha = 1 / 255;
	self.showClose = false;
	self.isClickClose = true;
end

function Lua_BeStrongWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.title.text = "";

	self.toStrongList = Lua_DragList.new(self.content, 1, Vector4(0, 0, 144, 179));
	self.toStrongList:setLocation(400, -82, 0);
	self.toStrongList:setListCell(Lua_StrongItem, 56, 144, 1);

	self:addLuaEvent("ON_BESTRONG_CLICK", self, self.onBeStrongClick);
	self:addLuaEvent("NOTICE_BESTRONG_ID", self, self.onShowIdList);
	Lua_ProxyManager.getProxy("Lua_BeStrongProxy"):sInitInfo(false);
end

function Lua_BeStrongWindow:showWin(param)
	self:superCall("showWin", param);

	-- self.content.transform.localPosition = Vector3(param.tx, param.ty, param.tz);
	LuaUtil.setObjPos(self.content, param.tx, param.ty, param.tz);
end

function Lua_BeStrongWindow:onShowIdList()
	if self.showData == nil then
		self.title.text = LanUtil.getValue(124176);

		local mainArr = DataCenter.beStrongData:mainBeStrongArr();
		if mainArr:getSize() ~= 0 then
			self.toStrongList:setLuaArrayData(mainArr, true);
		end
	else
		self.title.text = LanUtil.getValue(124175);

		local taskArr = DataCenter.beStrongData:taskBeStrongArr();
		if taskArr:getSize() ~= 0 then
			self.toStrongList:setLuaArrayData(taskArr, true);
		end
	end
end

function Lua_BeStrongWindow:onBeStrongClick(itemInfo)
	if itemInfo.basePanel ~= nil then
		Lua_WindowUtil.openWin(itemInfo.basePanel[1], WinParam.ACTION_OPEN, itemInfo.basePanel[2] == -1 and nil or itemInfo.basePanel[2]);
	end

	if itemInfo.act_id ~= nil then
		local avo = DataCenter.OperationalActivitiesData:getActivitiesByType(itemInfo.act_id, nil);
		if avo ~= nil then
			local iconId = avo:getRighTopIconId();
			local iconInfo = DataCenter.allRtData.topRightIconDic[tonumber(iconId)];
			if iconInfo ~= nil then
				Lua_WindowUtil.openWin(iconInfo.param, nil, {iconId = iconId, opName = avo.title})
			end
		end
	else
		if itemInfo.num == -1 then
			if itemInfo.nameIndex ~= nil then
				Lua_WindowUtil.openWin(itemInfo.winName, WinParam.ACTION_OPEN, {nameIndex = itemInfo.nameIndex});
			else
				Lua_WindowUtil.openWin(itemInfo.winName, WinParam.ACTION_OPEN, nil);
			end
		elseif itemInfo.num == -2 then
			Lua_WindowUtil.openWin(itemInfo.winName, WinParam.ACTION_OPEN, {opName = itemInfo.txt});
		else
			if itemInfo.nameIndex ~= nil then
				Lua_WindowUtil.openWin(itemInfo.winName, WinParam.ACTION_OPEN, {openIdx = itemInfo.num, nameIndex = itemInfo.nameIndex})
			else
				Lua_WindowUtil.openWin(itemInfo.winName, WinParam.ACTION_OPEN, itemInfo.num);
			end
		end
	end
	self:hide();
end

function Lua_BeStrongWindow:dispose()
	if self.toStrongList ~= nil then
		self.toStrongList:dispose();
		self.toStrongList = nil;
	end

	self:superCall("dispose");
end





--------------------------------------------------





Lua_StrongItem = class("Lua_StrongItem", Lua_ListCell);
function Lua_StrongItem:ctor(p)
	self:superCall("ctor", p, "StrongItem_skin");
end

function Lua_StrongItem:buildShowItem()
	self:superCall("buildShowItem");

	self.BeStrongBtn:setBtnEnable(false);
	self.BeStrongBtn:setGray(false);
end

function Lua_StrongItem:setData(data)
	self._data = data;
	if data == nil then
		return;
	end

	self.BeStrongBtn.label = data.txt;
end

function Lua_StrongItem:onPlayerSoundClick(go)
	Lua_MsgUtil.callFunc("ON_BESTRONG_CLICK", self._data)
end

function Lua_StrongItem:dispose(go)
	self._data = nil;
	self:superCall("dispose");
end