checkRequire("Lua_LvlUpPanel");
checkRequire("Lua_MoneyPanel");
checkRequire("Lua_BeStrongPanel");
checkRequire("Lua_MaterialsPanel");
Lua_HelpWindow = class("Lua_HelpWindow", Lua_FullSizeWindow);
function Lua_HelpWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_HelpWindow";
	self.skinName = "HelpPanel_skin";
	self.bgPath = "/images/common/bg0.jpg";
end

function Lua_HelpWindow:buildShowItem()
	self:superCall("buildShowItem");

	self:setShowTitle("titleName_altas_1", "shangcheng");

	self.panel = {Lua_LvlUpPanel, Lua_MoneyPanel, Lua_BeStrongPanel, Lua_MaterialsPanel}
	self.panelIndex = -1;

	local btnNames = Array();
	btnNames:add(LanUtil.getValue(110110));
	btnNames:add(LanUtil.getValue(110111));
	btnNames:add(LanUtil.getValue(110112));
	btnNames:add(LanUtil.getValue(110113));

	self.helpList = Lua_ButtonList.new(self.content, btnNames, 72, self, self.onButtonListClick,
		"tab4_souchong_normal", "tab4_souchong_select", Vector4(0, 0, 170, 62), Vector4(0, 0, 170, 66),
		Lua_ColorDefine.transColor("192e41"), Lua_ColorDefine.transColor("883a0b"), Vector4(24, 26, 120, 26), 1);
	self.helpList:setDepth(5);
	self.helpList:setSelected(1, true);
	self.helpList:setLocation(-409, 210, 0);
end

function Lua_HelpWindow:onButtonListClick(val)
	if self.panelIndex == val then
		return;
	end
	self.panelIndex = val;

	if self.curPanel ~= nil then
		self.curPanel:dispose();
		self.curPanel = nil;
	end
	self.curPanel = self.panel[val].new(self.content);

	-- local dragData = {};
	-- dragData.datas = Array();
	-- dragData.datas:add(LanUtil.getValue(110809));
	-- dragData.datas:add(LanUtil.getValue(110810));
	-- dragData.datas:add(LanUtil.getValue(110811));
	-- dragData.datas:add(LanUtil.getValue(20));
	-- dragData.offsetX = -434;
	-- dragData.offsetY = -44;
	-- dragData.callBackOwner = self;
	-- dragData.callBack = self.onDragDownCallBack;
	-- dragData.selected = self.guolvType;
	-- Lua_WindowUtil.openWin("Lua_DragDownWindow", nil, dragData);
end

function Lua_HelpWindow:dispose()
	if self.helpList ~= nil then
		self.helpList:dispose();
		self.helpList = nil;
	end
	self:superCall("dispose");
end